-- --------------------------------------------------------------------------
--  $Revision: 542 $ $Date: 2008-04-25 23:34:45 +0200 (Fri, 25 Apr 2008) $
-- --------------------------------------------------------------------------

-- |
--
-- Module      :  Encode.Arabic
-- Copyright   :  Otakar Smrz 2005-2008
-- License     :  GPL
--
-- Maintainer  :  otakar.smrz mff.cuni.cz
-- Stability   :  provisional
-- Portability :  portable
--
-- The Haskell version of /Encode::Arabic/ originally written in Perl:
-- <http://search.cpan.org/dist/Encode-Arabic/>
--
-- "Encode.Arabic.ArabTeX"
-- "Encode.Arabic.ArabTeX.ZDMG"
-- "Encode.Arabic.Buckwalter"


module Encode.Arabic (

        -- * Modules

        module Encode.Arabic.ArabTeX,
        module Encode.Arabic.ArabTeX.ZDMG,
        module Encode.Arabic.Buckwalter,
        module Encode.Arabic.Byte,

        module Encode.Unicode

    ) where


import Encode

import Encode.Arabic.ArabTeX
import Encode.Arabic.ArabTeX.ZDMG
import Encode.Arabic.Buckwalter
import Encode.Arabic.Byte

import Encode.Unicode

import Version

version = revised "$Revision: 542 $"
